---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Supervisory Organizations/Workers
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10019_N10016_N10001"></a>URI

Collection of Workers that are members of a Supervisory Organization:

```
/supervisoryOrganizations/{id}/workers
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Reference to a Supervisory Organization. Example: Supervisory Organization WID.</td></tr></tbody></table><br/>

## <a id="section_N10050_N10016_N10001"></a>Description

The Supervisory Organizations/Workers subresource represents Workers that are members of a supervisory organization. You can only view the workers and information permitted by the security profile of the current user.

Supervisory Organizations/Workers supports this method:

-   [GET Supervisory Organizations/Workers](/wcp_docs/dan1370797990836.html#GET)


## <a id="GET"></a>GET Supervisory Organizations/Workers

-   <b>Secured by:</b>

    Worker Data: Public Worker Reports



No request body required or available for this method. Use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Max</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response.</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response.</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N100EA_N10016_N10001"></a>GET Supervisory Organizations/Workers Examples

This GET request retrieves all the workers in the specified supervisory organization, Accounts Payable Department (id=97c57c8cc22f43ccbb77bdb5a19ab49d), available to the current user:

```
GET /supervisoryOrganizations/97c57c8cc22f43ccbb77bdb5a19ab49d/workers
```

The response is a collection of workers, in JSON format (only 1 worker in the response is shown):

```
{
   "total": 2,
   "data":    [
            {
         "descriptor": "Nathan Moore",
         "id": "3dcb259a412746e88d330f2ad0c0ec28",
         "href": "https://{Workday REST API Endpoint}/workers/3dcb259a412746e88d330f2ad0c0ec28",
         "primarySupervisoryOrganization":          {
            "descriptor": "Accounts Payable Department",
            "id": "97c57c8cc22f43ccbb77bdb5a19ab49d",
            "href": "https://{Workday REST API Endpoint}/supervisoryOrganizations/97c57c8cc22f43ccbb77bdb5a19ab49d"
         },
         "businessTitle": "Accounting Specialist - AP",
         "primaryWorkEmail": "nmoore@workday.net",
         "isManager": false,         
      },
    ...
   ]
}
```

